API Guide Home (Online version only) |

# PalmHiResTime.h File Reference

## Detailed Description

Exported High Resolution timer definitions.

Version:
  1.0

Definition in file PalmHiResTime.h.

Include dependency graph for PalmHiResTime.h:

Go to the source code of this file.

## Defines

- #define CAM_LIB_TRAP(trapNum) SYS_TRAP(trapNum)
- #define kHiResTimeLibName "HRTimer-Lib"
- #define kHiResTimeErrorClass (oemErrorClass + 0x100)

Type and creator of the Library

- #define kHiResTimeLibType 'libr'
- #define kHiResTimeLibCreator 'pHRT'

Library versionning

- #define kHiResTimeLibVersion1 sysMakeROMVersion(1, 0, 0, sysROMStageRelease, 0)
- #define kHiResTimeLibVersion kCamLibVersion1

Library trap

- #define kHRLibTrapTimerTicksPerSecond (sysLibTrapCustom)
- #define kHRLibTrapTimerGetTime (sysLibTrapCustom+1)

## Functions

- Err HRTimeLibOpen (UInt16 refNum)
    Standard library open function.
- Err HRTimeLibClose (UInt16 refNum)
    Standard library close function.
- Err HRTimeLibTicksPerSecond (UInt16 refNum, UInt32 *ticksP)
    Custom library API functions.
- Err HRTimeLibGetTime (UInt16 refNum, UInt32 *ticksP, UInt32 *rolloverP)
    Parameters:

      | refNum,: | IN:

## Define Documentation

#define CAM_LIB_TRAP | ( | trapNum |  | ) | SYS_TRAP(trapNum)

Definition at line 36 of file PalmHiResTime.h.

#define kHiResTimeErrorClass (oemErrorClass + 0x100)

HiRes Timer result codes

Definition at line 61 of file PalmHiResTime.h.

#define kHiResTimeLibCreator 'pHRT'

database creator

Definition at line 45 of file PalmHiResTime.h.

#define kHiResTimeLibName "HRTimer-Lib"

Internal library name which can be passed to SysLibFind()

Definition at line 49 of file PalmHiResTime.h.

#define kHiResTimeLibType 'libr'

database type

Definition at line 44 of file PalmHiResTime.h.

#define kHiResTimeLibVersion kCamLibVersion1

Definition at line 57 of file PalmHiResTime.h.

#define kHiResTimeLibVersion1 sysMakeROMVersion(1, 0, 0, sysROMStageRelease, 0)

Definition at line 56 of file PalmHiResTime.h.

#define kHRLibTrapTimerGetTime (sysLibTrapCustom+1)

Definition at line 69 of file PalmHiResTime.h.

#define kHRLibTrapTimerTicksPerSecond (sysLibTrapCustom)

Definition at line 68 of file PalmHiResTime.h.

## Function Documentation

Err HRTimeLibClose | ( | UInt16 | refNum | ) |

Standard library close function.

Parameters:

  | refNum,: | IN:

Return values:

  | Err | error code.

Err HRTimeLibGetTime | ( | UInt16 | refNum,
|  | UInt32 * | ticksP,
|  | UInt32 * | rolloverP |
| ) |  |  |

Parameters:

  | refNum,: | IN:

Parameters:

  | *ticksP,: | IN:
  | *rolloverP,: | IN:

Return values:

  | Err | error code.

Err HRTimeLibOpen | ( | UInt16 | refNum | ) |

Standard library open function.

Parameters:

  | refNum,: | IN:

Return values:

  | Err | error code.

Err HRTimeLibTicksPerSecond | ( | UInt16 | refNum,
|  | UInt32 * | ticksP |
| ) |  |  |

Custom library API functions.

Parameters:

  | refNum,: | IN:
  | *ticksP,: | IN:

Return values:

  | Err | error code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:07:42 2008 for Palm API Guide